<?php
	// VERSION //
	static::$version = "1.2.10";
	
	
	// DEPENDENCIES //
	// used extensions
	static::$ext[] = "dat";
	static::$ext[] = "request";
	static::$ext[] = "lang";
	static::$ext[] = "page";
	static::$ext[] = "file";
	static::$ext[] = "hidden";
	static::$ext[] = "project";
	static::$ext[] = "excuse";
	static::$ext[] = "error";
	static::$ext[] = "url";
	static::$ext[] = "id64";
	static::$ext[] = "cookieaccept";
	static::$ext[] = "csrf";
	
	
	// ROUTES //
	// redirect to main domain
	$redirect = [
		["path" => "**",		"target" => "page/redirect"]
	];
	static::$route["www.sbgg.jetzt"] = $redirect;
	static::$route["selbstbestimmungsgesetz-jetzt.de"] = $redirect;
	static::$route["www.selbstbestimmungsgesetz-jetzt.de"] = $redirect;
	
	// pages
	static::$route["sbgg.jetzt"] = [
		["path" => "",									"target" => "page/start"],
		["path" => ":lang",								"target" => "page/start"],
		["path" => "newsletter/subscribe",				"target" => "page/newsletter/subscribe"],
		["path" => "newsletter/unsubscribe",			"target" => "page/newsletter/unsubscribe"],
		
		["path" => "static/:filename",					"target" => "api/static"],
		
		["path" => "api/newsletter/verify",				"target" => "api/newsletter/verify.php"],
		["path" => "api/newsletter/subscribe",			"target" => "api/newsletter/subscribe.php"],
		["path" => "api/newsletter/unsubscribe",		"target" => "api/newsletter/unsubscribe.php"],
		
		["path" => "admin",								"target" => "page/admin/start"],
		["path" => "admin/login",						"target" => "page/admin/login"],
		["path" => "admin/newsletter",					"target" => "page/admin/newsletter/overview.php"],
		["path" => "admin/newsletter/:content",			"target" => "page/admin/newsletter/content.php"],
		
		["path" => "admin/newsletter/api/send-one",		"target" => "page/admin/newsletter/api/send_one.php"],
		["path" => "admin/newsletter/api/send-all",		"target" => "page/admin/newsletter/api/send_all.php"],
	];
?>
