<?php
	return [
		"subject" => [
			"de" => "SBGG.jetzt: 2. und 3. Lesung",
			"en" => "SBGG.jetzt: 2nd and 3rd Reading"
		],
		
		"main" => [
			"de" => <<<HTML
				<h2>2. und 3. Lesung</h2>
				
				<p>Das Datum für die 2. und 3. Lesung im Bundestag steht nun fest: <b>12 Apr 2024, 13:10</b></p>
				
				<ul>
					<li><p>Die zweite Lesung im Bundestag diskutiert die Ergebnisse der Ausschüsse. Einzelne Abgeordnete können Änderungen beantragen. Am Ende der dritten Lesung wird abschließend über das Gesetz abgestimmt.</p></li>
					<li><p>Die Lesung wird live auf der Webseite des Bundestags übertragen: <a href="https://www.bundestag.de">www.bundestag.de</a></p></li>
				</ul>
			HTML,
			"en" => <<<HTML
				<h2>2nd and 3rd Reading</h2>
				
				<p>The date for the 2nd and 3rd reading in the <i>Bundestag</i> (Parliament) has now been published: <b>12 Apr 2024, 13:10</b></p>
				
				<ul>
					<li><p>The second reading in the Bundestag discusses the results of the committees. Individual members of the Bundestag can request changes. At the end of the third reading, a final vote is taken on the law.</p></li>
					<li><p>The reading is broadcast live on the Bundestag website: <a href="https://www.bundestag.de">www.bundestag.de</a></p></li>
				</ul>
			HTML
		]
	];
?>
