<?php
	return [
		"subject" => [
			"de" => "SBGG.jetzt: 2. und 3. Lesung",
			"en" => "SBGG.jetzt: 2nd and 3rd Reading"
		],
		
		"main" => [
			"de" => <<<HTML
				<h2>2. und 3. Lesung</h2>
				
				<ul>
					<li><p>Verglichen mit dem Regierungsentwurf enthält die <a href="https://web.archive.org/web/20240412195016/https://dserver.bundestag.de/btd/20/110/2011004.pdf">Beschlussempfehlung des Familienausschusses</a> nur kleine Änderungen; So müssen Kinder ab einem Alter von 5 Jahren im Fall einer Personenstandsänderung zustimmen und die Eltern von Minderjährigen müssen bestätigen, dass sie sich beraten haben lassen. Zudem wurde die Weitergabe an Sicherheitsbehörden gestrichen.</p></li>
					<li><p>Die Redner*innen der Regierungsparteien (FDP, SPD, Bündnis 90/Die Grünen) betonten die Wichtigkeit dieses Gesetzesvorhabens für die Grundrechte und Menschenwürde. Dem Leid, das das TSG verursacht hat werde jetzt ein Ende gesetzt. Dies treffe auf breite Unterstützung durch frauenpolitische Organisationen und Kirchen.</p></li>
					<li><p>Aus den Lagern der Parteien CDU/CSU, AfD und der Gruppe BSW wurden Befürchtungen laut, das Gesetz gefährde Kinder- und Jugendschutz und wäre anfällig für Missbrauch. Einige dieser Redner*innen sind der Ansicht, Trans* wäre Einbildung und ein 'Hype', welcher durch eine Lobby gestärkt würde. Trans*-Personen seien lediglich Menschen in Verkleidung und Perücke.</p></li>
					<li><p>Die Gruppe Die Linke begrüßt das Gesetz, mahnt aber auch an, dass dies nur der Anfang sein könne; Beratungsmöglichkeiten müssen verbessert und Regelungen zur Finanzierung gesundheitlicher Maßnahmen geschaffen werden.</p></li>
					<li><p>Die Beschlussempfehlung des Familienausschusses wurde mit 372 zu 251 Stimmen angenommen. Der <a href="https://web.archive.org/web/20240412195124/https://dserver.bundestag.de/btd/20/082/2008203.pdf">Antrag der AfD</a>, das TSG zu erhalten und sogar noch zu verschärfen, wurde vom Parlament zurückgewiesen.</p></li>
				</ul>
			HTML,
			"en" => <<<HTML
				<h2>2nd and 3rd Reading</h2>
				
				<ul>
					<li><p>Compared to the government draft, the <a href="https://web.archive.org/web/20240412195016/https://dserver.bundestag.de/btd/20/110/2011004.pdf">recommendation of the family committee</a> contains only small changes; In the event of a change in civil status, children starting at the age of 5 must agree and the parents of minors must confirm that they have been advised. In addition, the transfer of personal information to security authorities has been removed.</p></li>
					<li><p>The government parties' speakers (FDP, SPD, Bündnis 90/Die Grünen) emphasized the importance of this law for fundamental rights and human dignity. The suffering that the TSG has caused is now being put to an end. This meets broad support from women's policy organizations and churches.</p></li>
					<li><p>From the camps of the parties CDU/CSU, AfD and the group BSW, fears were loud, the law would be a risk for child and youth protection and could be susceptible to abuse. Some of these speakers believe that trans* would be imagination and a 'hype' that would be strengthened by a lobby and trans*-people were only people in disguise and wigs.</p></li>
					<li><p>The group Die Linke welcomes the law, but also warns that this can only be the beginning; Advice options must be improved and regulations for financing health measures should be created.</p></li>
					<li><p>The decision recommendation of the family committee was accepted with 372 to 251 votes. The <a href="https://web.archive.org/web/20240412195124/https://dserver.bundestag.de/btd/20/082/2008203.pdf">AfD's request</a> to maintain the TSG and even tighten its regulations was rejected by the parliament.</p></li>
				</ul>
			HTML
		]
	];
?>
